#include <iostream>

using namespace std;

int main()
{
    int N;
    long long br=0,rr=1;
    cin>>N;
    long long X[N], Y[N], Z[N], R[N];
    for(int i=1; i<=N; i++)
        cin>>X[i];
    for(int j=1; j<=N; j++)
        {
            cin>>Y[j];
            for(int i=1; i<=N; i++)
            {
                if(X[i]==Y[j])
                    {R[rr]=j;rr++;}
            }
        }
    for(int k=1; k<=N; k++)
        {
            cin>>Z[k];
            for(int i=1; i<=N; i++)
            {
                if(Z[k]==R[i])
                    br++;
            }
        }
    cout<<br;
    return 0;
}